Skip to main content
DELETE
/
event-destinations
/
{destination_id}
Delete an event destination
curl --request DELETE \
  --url https://api.deck.co/v2/event-destinations/{destination_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": "<string>",
  "deleted": true,
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Secret key (sk_live_...)

Path Parameters

destination_id
string
required

Unique identifier for the event destination (prefixed with evtd_).

Response

OK

Confirmation object returned after a successful deletion.

id
string
required

ID of the deleted event destination.

object
string
required

Always event_destination.

deleted
boolean
required

Always true for successful deletions.

request_id
string
required

Unique identifier for the API request. Include this when contacting support.